Partial update of machine identity
PATCH/machine-identities/v2/:id
Use this API to selectively update machine identity details using a JSONPatch payload.
Patchable fields include name, description, nativeIdentity, subtype, environment, attributes, owners, userEntitlements, manuallyEdited, and businessApplicationRefs (when Business Applications is enabled for the tenant).
When Business Applications is enabled for the tenant, /businessApplicationRefs may be replaced with at most one MANUAL Business Application
reference, or cleared with an empty array. Patching /businessApplicationRefs when Business Applications is not enabled returns 400.
Existing AUTOMATIC correlations cannot be overridden (400 / ILLEGAL_UPDATE_ATTEMPT). Unknown BA id returns 404.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Updated machine identity object.
Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.